## Documentation

- Overview
- Website
- Tutorials
- Class Index

## Classes

- _global_
- CL3D
- CL3D.AnimatedMeshSceneNode
- CL3D.Animator
- CL3D.AnimatorAnimateTexture
- CL3D.AnimatorCameraFPS
- CL3D.AnimatorCameraModelViewer
- CL3D.AnimatorCollisionResponse
- CL3D.AnimatorFlyCircle
- CL3D.AnimatorFlyStraight
- CL3D.AnimatorFollowPath
- CL3D.AnimatorOnClick
- CL3D.AnimatorOnProximity
- CL3D.AnimatorRotation
- CL3D.BillboardSceneNode
- CL3D.BoundingBoxTriangleSelector
- CL3D.Box3d
- CL3D.CameraSceneNode
- CL3D.ColorF
- CL3D.CopperCubeVariable
- CL3D.CopperLicht
- CL3D.CubeSceneNode
- CL3D.HotspotSceneNode
- CL3D.Light
- CL3D.LightSceneNode
- CL3D.Line3d
- CL3D.Material
- CL3D.Matrix4
- CL3D.Mesh
- CL3D.MeshBuffer
- CL3D.MeshSceneNode
- CL3D.MeshTriangleSelector
- CL3D.MetaTriangleSelector
- CL3D.Mobile2DInputSceneNode
- CL3D.OctTreeTriangleSelector
- CL3D.Overlay2DSceneNode
- CL3D.ParticleSystemSceneNode
- CL3D.PathSceneNode
- CL3D.Plane3d
- CL3D.Quaternion
- CL3D.Renderer
- CL3D.Scene
- CL3D.SceneNode
- CL3D.SkyBoxSceneNode
- CL3D.SoundSceneNode
- CL3D.TerrainSceneNode
- CL3D.Texture
- CL3D.TextureManager
- CL3D.Triangle3d
- CL3D.TriangleSelector
- CL3D.Vect2d
- CL3D.Vect3d
- CL3D.Vertex3D
- CL3D.WaterSurfaceSceneNode

CopperLicht API Documentation

# Class CL3D.AnimatorFlyStraight

Scene node animator making CL3D.SceneNodes move along straight line between two points.
Extends CL3D.Animator.

Class Overview
CL3D.AnimatorFlyStraight(start, end, timeForWay, loop, deleteMeAfterEndReached, animateCameraTargetInsteadOfPosition)
Scene node animator making CL3D.SceneNodes move along straight line between two points.

Parameters:
{CL3D.Vect3d} start
  Start 3d position of the line
{CL3D.Vect3d} end
  End 3d position of the line
{Number} timeForWay
  Time for moving along the whole line in milliseconds. For example 2000 for 2 seconds.
{Boolean} loop
  set to true for looping along the line, false for stopping movement when the end has been reached.
{Boolean} deleteMeAfterEndReached
  set to true if the animator should delete itself after the end has been reached.
{Boolean} animateCameraTargetInsteadOfPosition
  if the animated node is a camera, set to true to animate the camera target instead of the position of the camera.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| animateNode(n, timeMs) Animates the scene node it is attached to and returns true if scene node was modified.
| getType() Returns the type of the animator.

Methods borrowed from class CL3D.Animator:
  createClone, onKeyDown, onKeyUp, onMouseDown, onMouseMove, onMouseUp, onMouseWheel

Method Detail
animateNode(n, timeMs)
Animates the scene node it is attached to and returns true if scene node was modified.

Parameters:
{CL3D.SceneNode} n
  The Scene node which needs to be animated this frame.
{Integer} timeMs
  The time in milliseconds since the start of the scene.

getType()
Returns the type of the animator. For the AnimatorFlyStraight, this will return 'flystraight'.

© 2011-2018 N.Gebhardt, Ambiera
Documentation generated by JsDoc Toolkit